﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.269
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

//
// This source code was auto-generated by xsd, Version=4.0.30319.1.
//
namespace TadpoleResponse
{
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/", IsNullable = false)]
    public partial class cowsToTadpole
    {
        private RequestInformation requestInformationField;

        private int requestVersionField;

        private ResponseDescription responseDescriptionField;

        private object itemField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public RequestInformation requestInformation
        {
            get
            {
                return this.requestInformationField;
            }
            set
            {
                this.requestInformationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public int requestVersion
        {
            get
            {
                return this.requestVersionField;
            }
            set
            {
                this.requestVersionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ResponseDescription responseDescription
        {
            get
            {
                return this.responseDescriptionField;
            }
            set
            {
                this.responseDescriptionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("acknowledgment", typeof(AcknowledgmentInformation), Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("confirm", typeof(string), Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("disconnectServiceComplete", typeof(cowsToTadpoleDisconnectServiceComplete), Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("newOrderInstallComplete", typeof(cowsToTadpoleNewOrderInstallComplete), Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("newOrderInstallShipping", typeof(cowsToTadpoleNewOrderInstallShipping), Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("newOrderRework", typeof(NewOrderRework), Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlElementAttribute("statusUpdate", typeof(StatusUpdate), Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public partial class RequestInformation
    {
        private int requestIDField;

        private RequestInformationRequestType requestTypeField;

        private System.DateTime timestampField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public int requestID
        {
            get
            {
                return this.requestIDField;
            }
            set
            {
                this.requestIDField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public RequestInformationRequestType requestType
        {
            get
            {
                return this.requestTypeField;
            }
            set
            {
                this.requestTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public System.DateTime timestamp
        {
            get
            {
                return this.timestampField;
            }
            set
            {
                this.timestampField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public enum RequestInformationRequestType
    {
        /// <remarks/>
        NewOrderInstall,

        /// <remarks/>
        NewOrderModify,

        /// <remarks/>
        NewOrderCancel,

        /// <remarks/>
        NewOrderRework,

        /// <remarks/>
        DisconnectService,

        /// <remarks/>
        DisconnectServiceCancel,

        /// <remarks/>
        DisconnectServiceModify,

        /// <remarks/>
        NetworkChange,

        /// <remarks/>
        UpdateDevice,

        /// <remarks/>
        NeworkChangeModify,

        /// <remarks/>
        RmaNotification,

        /// <remarks/>
        DeviceAddressUpdate,

        /// <remarks/>
        ModifyCustomerAccount,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public partial class StatusUpdate
    {
        private string statusDescriptionField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string statusDescription
        {
            get
            {
                return this.statusDescriptionField;
            }
            set
            {
                this.statusDescriptionField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public partial class AcknowledgmentInformation
    {
        private Status statusField;

        private string[] errorDescriptionListField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public Status status
        {
            get
            {
                return this.statusField;
            }
            set
            {
                this.statusField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("errorDescription", Form = System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable = false)]
        public string[] errorDescriptionList
        {
            get
            {
                return this.errorDescriptionListField;
            }
            set
            {
                this.errorDescriptionListField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public enum Status
    {
        /// <remarks/>
        Accepted,

        /// <remarks/>
        Rejected,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public partial class NewOrderRework
    {
        private NewOrderReworkReworkActivity reworkActivityField;

        private NewOrderReworkReworkCode reworkCodeField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public NewOrderReworkReworkActivity reworkActivity
        {
            get
            {
                return this.reworkActivityField;
            }
            set
            {
                this.reworkActivityField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public NewOrderReworkReworkCode reworkCode
        {
            get
            {
                return this.reworkCodeField;
            }
            set
            {
                this.reworkCodeField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public enum NewOrderReworkReworkActivity
    {
        /// <remarks/>
        RescheduleNotification,

        /// <remarks/>
        BadDeviceNotification,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public enum NewOrderReworkReworkCode
    {
        /// <remarks/>
        CustomerNoShow,

        /// <remarks/>
        SprintIssue,

        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("CustomerNetwork/CircuitIssue")]
        CustomerNetworkCircuitIssue,

        /// <remarks/>
        CustomerCausedConfigProblem,

        /// <remarks/>
        SprintCausedConfigProblem,

        /// <remarks/>
        HardwareFailure,

        /// <remarks/>
        DeviceLostInTransit,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public partial class ShippingTrackingInformation
    {
        private string shipTrackingNumberField;

        private string shipCarrierField;

        private System.DateTime shipDateField;

        private System.DateTime shipEstimatedDeliveryDateField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string shipTrackingNumber
        {
            get
            {
                return this.shipTrackingNumberField;
            }
            set
            {
                this.shipTrackingNumberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string shipCarrier
        {
            get
            {
                return this.shipCarrierField;
            }
            set
            {
                this.shipCarrierField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public System.DateTime shipDate
        {
            get
            {
                return this.shipDateField;
            }
            set
            {
                this.shipDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public System.DateTime shipEstimatedDeliveryDate
        {
            get
            {
                return this.shipEstimatedDeliveryDateField;
            }
            set
            {
                this.shipEstimatedDeliveryDateField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://www.sprint.com/fedline/FromCowsNewOrder/")]
    public enum ResponseDescription
    {
        /// <remarks/>
        NewOrderInstallShipping,

        /// <remarks/>
        NewOrderInstallComplete,

        /// <remarks/>
        NewOrderInstallConfirm,

        /// <remarks/>
        NewOrderModifyConfirm,

        /// <remarks/>
        NewOrderCancelConfirm,

        /// <remarks/>
        NewOrderReworkConfirm,

        /// <remarks/>
        StatusUpdate,

        /// <remarks/>
        NewOrderInstall,

        /// <remarks/>
        NewOrderModify,

        /// <remarks/>
        NewOrderCancel,

        /// <remarks/>
        NewOrderRework,

        /// <remarks/>
        DisconnectService,

        /// <remarks/>
        DisconnectServiceComplete,

        /// <remarks/>
        DisconnectServiceCancel,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class cowsToTadpoleDisconnectServiceComplete
    {
        private string[] errorDescriptionListField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("errorDescription", Form = System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable = false)]
        public string[] errorDescriptionList
        {
            get
            {
                return this.errorDescriptionListField;
            }
            set
            {
                this.errorDescriptionListField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class cowsToTadpoleNewOrderInstallComplete
    {
        private System.DateTime actualInstallDateField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public System.DateTime actualInstallDate
        {
            get
            {
                return this.actualInstallDateField;
            }
            set
            {
                this.actualInstallDateField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.1")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class cowsToTadpoleNewOrderInstallShipping
    {
        private ShippingTrackingInformation shippingTrackingInformationField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ShippingTrackingInformation shippingTrackingInformation
        {
            get
            {
                return this.shippingTrackingInformationField;
            }
            set
            {
                this.shippingTrackingInformationField = value;
            }
        }
    }
}